package com.dgtly.wxportal.service;

import com.dgtly.wxportal.domain.WxSendMessage;
import java.util.List;

/**
 * 企业微信发送消息历史记录Service接口
 * 
 * @author qxp
 * @date 2020-09-02
 */
public interface IWxSendMessageService 
{
    /**
     * 查询企业微信发送消息历史记录
     * 
     * @param id 企业微信发送消息历史记录ID
     * @return 企业微信发送消息历史记录
     */
    public WxSendMessage selectWxSendMessageById(Long id);

    /**
     * 查询企业微信发送消息历史记录列表
     * 
     * @param wxSendMessage 企业微信发送消息历史记录
     * @return 企业微信发送消息历史记录集合
     */
    public List<WxSendMessage> selectWxSendMessageList(WxSendMessage wxSendMessage);

    /**
     * 新增企业微信发送消息历史记录
     * 
     * @param wxSendMessage 企业微信发送消息历史记录
     * @return 结果
     */
    public int insertWxSendMessage(WxSendMessage wxSendMessage);

    /**
     * 修改企业微信发送消息历史记录
     * 
     * @param wxSendMessage 企业微信发送消息历史记录
     * @return 结果
     */
    public int updateWxSendMessage(WxSendMessage wxSendMessage);

    /**
     * 批量删除企业微信发送消息历史记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWxSendMessageByIds(String ids);

    /**
     * 删除企业微信发送消息历史记录信息
     * 
     * @param id 企业微信发送消息历史记录ID
     * @return 结果
     */
    public int deleteWxSendMessageById(Long id);

    /**
     * @description: 自提未提货企微消息通知
     * @param:
     * @return:
     * @author: njs
     * @date: 2023/5/15 11:27
     */
     void sendWxTmsMessage();

     /**
      * @description: 业绩进度指标预警邮件/企微消息通知
      * @param:
      * @return:
      * @author: njs
      * @date: 2024/2/4 9:21
      */
     void sendMailAndWxEarlyTucMessage();
}
